set_hardware_volume(3)

NAME
set_hardware_volume - Alters the hardware sound output volume. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void set_hardware_volume(int digi_volume, int midi_volume);

DESCRIPTION
Alters the hardware sound output volume. Specify volumes for both digital samples and MIDI playback, as integers from 0 to 255, or pass a negative value to leave one of the settings unchanged. Values bigger than 255 will be reduced to 255. This routine will use the hardware mixer to control the volume if it exists (i.e. the volume of all the applications on your machine will be affected), otherwise do nothing.

SEE ALSO
install_sound(3), set_volume(3)